Bug 237233 - Add a way to create mirror objects in the target VM and execute static methods
Add a way to create mirror objects in the target VM and execute static methods
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
8.0
All All
: P2 (vote)
: 8.0
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 236992
  Show dependency treegraph
 
Reported: 2013-10-17 08:00 UTC by Martin Entlicher
Modified: 2013-10-25 02:11 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The API change, including test. (12.67 KB, patch)
2013-10-17 08:04 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2013-10-17 08:00:40 UTC
In order to implement JavaScript debugging in Nashorn (issue #236992), we need a way to create remote objects in the target virtual machine and a possibility to execute static methods. We need this for accessing DebuggerSupport class in the target VM.
Comment 1 Martin Entlicher 2013-10-17 08:04:00 UTC
Created attachment 141194 [details]
The API change, including test.
Comment 2 Martin Entlicher 2013-10-17 08:04:51 UTC
Please review this simple API change.
Comment 3 Martin Entlicher 2013-10-23 14:36:48 UTC
Thanks for the review, I plan to integrate the change tomorrow.
Comment 4 Martin Entlicher 2013-10-24 13:03:59 UTC
Implemented by changeset:   266397:25fdc6752695
http://hg.netbeans.org/core-main/rev/25fdc6752695
Comment 5 Quality Engineering 2013-10-25 02:11:43 UTC
Integrated into 'main-silver', will be available in build *201310250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/25fdc6752695
User: mentlicher@netbeans.org
Log: #237233: Static method execution and mirror objects creation. API with the implementation and test.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo